List Promos
curl --request GET \
--url https://api.centralcart.io/v1/app/promo \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.centralcart.io/v1/app/promo"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.centralcart.io/v1/app/promo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.centralcart.io/v1/app/promo",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.centralcart.io/v1/app/promo"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.centralcart.io/v1/app/promo")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.centralcart.io/v1/app/promo")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"meta": {
"total": 1,
"per_page": 15,
"current_page": 1,
"last_page": 1,
"first_page": 1,
"first_page_url": "/?page=1",
"last_page_url": "/?page=1",
"next_page_url": null,
"previous_page_url": null
},
"data": [
{
"id": 7,
"store_id": 2,
"name": "Leve mais, pague menos",
"type": "PROGRESSIVE",
"condition_mode": "QUANTITY",
"enabled": true,
"starts_at": "2026-10-01T00:00:00.000-03:00",
"ends_at": null,
"created_at": "2026-09-28T14:02:11.000-03:00",
"updated_at": "2026-09-28T14:02:11.000-03:00",
"targets": [
{
"type": "CATEGORY",
"id": 40
}
],
"tiers": [
{
"id": 21,
"store_id": 2,
"promo_id": 7,
"min_amount": 2,
"reward_type": "PERCENTAGE",
"reward_value": 10,
"reward_quantity": null,
"created_at": "2026-09-28T14:02:11.000-03:00",
"updated_at": "2026-09-28T14:02:11.000-03:00",
"targets": []
},
{
"id": 22,
"store_id": 2,
"promo_id": 7,
"min_amount": 3,
"reward_type": "PERCENTAGE",
"reward_value": 15,
"reward_quantity": null,
"created_at": "2026-09-28T14:02:11.000-03:00",
"updated_at": "2026-09-28T14:02:11.000-03:00",
"targets": []
}
]
}
]
}Promoções
List Promos
Lista as promoções da loja.
GET
/
app
/
promo
List Promos
curl --request GET \
--url https://api.centralcart.io/v1/app/promo \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.centralcart.io/v1/app/promo"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.centralcart.io/v1/app/promo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.centralcart.io/v1/app/promo",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.centralcart.io/v1/app/promo"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.centralcart.io/v1/app/promo")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.centralcart.io/v1/app/promo")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"meta": {
"total": 1,
"per_page": 15,
"current_page": 1,
"last_page": 1,
"first_page": 1,
"first_page_url": "/?page=1",
"last_page_url": "/?page=1",
"next_page_url": null,
"previous_page_url": null
},
"data": [
{
"id": 7,
"store_id": 2,
"name": "Leve mais, pague menos",
"type": "PROGRESSIVE",
"condition_mode": "QUANTITY",
"enabled": true,
"starts_at": "2026-10-01T00:00:00.000-03:00",
"ends_at": null,
"created_at": "2026-09-28T14:02:11.000-03:00",
"updated_at": "2026-09-28T14:02:11.000-03:00",
"targets": [
{
"type": "CATEGORY",
"id": 40
}
],
"tiers": [
{
"id": 21,
"store_id": 2,
"promo_id": 7,
"min_amount": 2,
"reward_type": "PERCENTAGE",
"reward_value": 10,
"reward_quantity": null,
"created_at": "2026-09-28T14:02:11.000-03:00",
"updated_at": "2026-09-28T14:02:11.000-03:00",
"targets": []
},
{
"id": 22,
"store_id": 2,
"promo_id": 7,
"min_amount": 3,
"reward_type": "PERCENTAGE",
"reward_value": 15,
"reward_quantity": null,
"created_at": "2026-09-28T14:02:11.000-03:00",
"updated_at": "2026-09-28T14:02:11.000-03:00",
"targets": []
}
]
}
]
}Autorizações
Token de API gerado no painel da CentralCart.
Parâmetros de consulta
Número da página.
Retorna todas as promoções de uma vez, sem paginação.
Filtra pelo nome da promoção.
Filtra pelo tipo da promoção.
Opções disponíveis:
PROGRESSIVE, BUY_X_PAY_Y Filtra promoções ativadas ou desativadas.
Opções disponíveis:
ENABLED, DISABLED